/* Disable Foreign Keys */
pragma foreign_keys = off;
/* Begin Transaction */
begin transaction;

/* Database [database_default] */
pragma auto_vacuum=0;
pragma encoding='UTF-8';
pragma page_size=1024;

insert into [main].[setting] values(70, 'Billion mode time', null, '30,90', 5, 's', null, '60', '60');
insert into [main].[setting] values(71, '10M mode time', null, '10,60', 5, 's', null, '40', '40');
insert into [main].[setting] values(72, '50M mode time', null, '10,60', 5, 's', null, '40', '40');
insert into [main].[setting] values(73, 'Special mode time', null, '10,60', 5, 's', null, '40', '40');
insert into [main].[setting] values(74, '5M mode time', null, '10,60', 5, 's', null, '40', '40');
insert into [main].[setting] values(75, '1M mode time', null, '10,60', 5, 's', null, '40', '40');
insert into [main].[setting] values(76, 'Billion mode time added per shot', null, '0,10', 1, 's', null, '3', '3');

/* Drop table [main].[menuitem] */
drop table if exists [main].[menuitem];

/* Table structure [main].[menuitem] */
CREATE TABLE [main].[menuitem] (
  [id] INTEGER NOT NULL PRIMARY KEY,
  [title] VARCHAR NOT NULL,
  [type] VARCHAR,
  [data] VARCHAR,
  [order] INTEGER,
  [level] INTEGER);

/* Data [main].[menuitem] */
insert into [main].[menuitem] values(1, 'Main menu', '', '', 0, 0);
insert into [main].[menuitem] values(2, 'Test Menu', '', '', 1, 1);
insert into [main].[menuitem] values(3, 'Switch Test', 'MenuItem_Test_Switch', '', 2, 2);
insert into [main].[menuitem] values(4, 'Coil Test', '', '', 3, 2);
insert into [main].[menuitem] values(5, 'Ball Release', 'MenuItem_Test_Solenoid', 'ballRelease', 4, 3);
insert into [main].[menuitem] values(6, 'Lock Post', 'MenuItem_Test_Solenoid', 'lockPost', 5, 3);
insert into [main].[menuitem] values(7, 'Outhole', 'MenuItem_Test_Solenoid', 'outhole', 6, 3);
insert into [main].[menuitem] values(8, 'Scoop', 'MenuItem_Test_Solenoid', 'scoop', 7, 3);
insert into [main].[menuitem] values(9, 'Skillshot Kicker', 'MenuItem_Test_Solenoid', 'skillshotKicker', 8, 3);
insert into [main].[menuitem] values(10, 'Mini Playfield Gate', 'MenuItem_Test_Solenoid', 'miniGate', 9, 3);
insert into [main].[menuitem] values(11, 'Head Mouth', 'MenuItem_Test_Solenoid', 'headMouth', 10, 3);
insert into [main].[menuitem] values(12, 'Head Left Eye', 'MenuItem_Test_Solenoid', 'headLeftEye', 11, 3);
insert into [main].[menuitem] values(13, 'Head Right Eye', 'MenuItem_Test_Solenoid', 'headRightEye', 12, 3);
insert into [main].[menuitem] values(14, 'Jet Left', 'MenuItem_Test_Solenoid', 'jetL', 13, 3);
insert into [main].[menuitem] values(15, 'Jet Right', 'MenuItem_Test_Solenoid', 'jetR', 14, 3);
insert into [main].[menuitem] values(16, 'Jet Bottom', 'MenuItem_Test_Solenoid', 'jetB', 15, 3);
insert into [main].[menuitem] values(17, 'Jets Slingshot', 'MenuItem_Test_Solenoid', 'jetsSling', 16, 3);
insert into [main].[menuitem] values(18, 'Slingshot Left', 'MenuItem_Test_Solenoid', 'slingL', 17, 3);
insert into [main].[menuitem] values(19, 'Slingshot Right', 'MenuItem_Test_Solenoid', 'slingR', 18, 3);
insert into [main].[menuitem] values(20, 'Knocker', 'MenuItem_Test_Solenoid', 'knocker', 19, 3);
insert into [main].[menuitem] values(21, 'Adjustment Menu', '', '', 20, 1);
insert into [main].[menuitem] values(22, 'Rules', '', '', 21, 2);
insert into [main].[menuitem] values(23, 'Balls per game', 'MenuItem_Setting', '1', 22, 3);
insert into [main].[menuitem] values(24, 'Ball saver', '', '', 23, 3);
insert into [main].[menuitem] values(25, 'First ball saver', 'MenuItem_Setting', '4', 24, 4);
insert into [main].[menuitem] values(26, 'Later ball savers', 'MenuItem_Setting', '20', 25, 4);
insert into [main].[menuitem] values(27, 'Tilt', '', '', 26, 3);
insert into [main].[menuitem] values(28, 'Tilt warnings', 'MenuItem_Setting', '2', 27, 4);
insert into [main].[menuitem] values(29, 'Tilt warning gap', 'MenuItem_Setting', '3', 28, 4);
insert into [main].[menuitem] values(30, 'Multiball', '', '', 29, 3);
insert into [main].[menuitem] values(31, 'MB1 Jackpots required', 'MenuItem_Setting', '41', 30, 4);
insert into [main].[menuitem] values(32, 'Power Charge time', 'MenuItem_Setting', '8', 31, 4);
insert into [main].[menuitem] values(33, 'Videomode', '', '', 32, 3);
insert into [main].[menuitem] values(34, 'Videomode enabled', 'MenuItem_Setting', '49', 33, 4);
insert into [main].[menuitem] values(35, 'PIN*BOT letters pre-lit', 'MenuItem_Setting', '50', 34, 4);
insert into [main].[menuitem] values(36, 'Wheel', '', '', 35, 3);
insert into [main].[menuitem] values(37, 'Small wheel', '', '', 36, 4);
insert into [main].[menuitem] values(38, '50K mode time', 'MenuItem_Setting', '11', 37, 5);
insert into [main].[menuitem] values(39, '100K mode time', 'MenuItem_Setting', '12', 38, 5);
insert into [main].[menuitem] values(40, '250K mode time', 'MenuItem_Setting', '13', 39, 5);
insert into [main].[menuitem] values(41, 'EB mode', '', '', 40, 5);
insert into [main].[menuitem] values(42, 'EB mode time', 'MenuItem_Setting', '14', 41, 6);
insert into [main].[menuitem] values(43, 'Lanes can unlite', 'MenuItem_Setting', '46', 42, 6);
insert into [main].[menuitem] values(44, 'Lite EB mode time', 'MenuItem_Setting', '15', 43, 5);
insert into [main].[menuitem] values(45, 'Lite JP mode time', 'MenuItem_Setting', '16', 44, 5);
insert into [main].[menuitem] values(46, 'Big wheel', '', '', 45, 4);
insert into [main].[menuitem] values(47, 'Billion mode', '', '', 46, 5);
insert into [main].[menuitem] values(48, 'Billion mode time', 'MenuItem_Setting', '70', 47, 6);
insert into [main].[menuitem] values(49, 'Time added per shot', 'MenuItem_Setting', '76', 48, 6);
insert into [main].[menuitem] values(50, '10M mode time', 'MenuItem_Setting', '71', 49, 5);
insert into [main].[menuitem] values(51, '50M mode time', 'MenuItem_Setting', '72', 50, 5);
insert into [main].[menuitem] values(52, 'Special mode time', 'MenuItem_Setting', '73', 51, 5);
insert into [main].[menuitem] values(53, '5M mode time', 'MenuItem_Setting', '74', 52, 5);
insert into [main].[menuitem] values(54, '1M mode time', 'MenuItem_Setting', '75', 53, 5);
insert into [main].[menuitem] values(55, 'JP incr. per mode', 'MenuItem_Setting', '10', 54, 4);
insert into [main].[menuitem] values(56, 'Values doubled time', 'MenuItem_Setting', '9', 55, 4);
insert into [main].[menuitem] values(57, 'Head position', 'MenuItem_Setting', '7', 56, 2);
insert into [main].[menuitem] values(58, 'Coil Strengths', '', '', 57, 2);
insert into [main].[menuitem] values(59, 'Ball Release', 'MenuItem_Setting', '53', 58, 3);
insert into [main].[menuitem] values(60, 'Lock Post', 'MenuItem_Setting', '25', 59, 3);
insert into [main].[menuitem] values(61, 'Outhole', 'MenuItem_Setting', '54', 60, 3);
insert into [main].[menuitem] values(62, 'Scoop', 'MenuItem_Setting', '55', 61, 3);
insert into [main].[menuitem] values(63, 'Skillshot Kicker', 'MenuItem_Setting', '56', 62, 3);
insert into [main].[menuitem] values(64, 'Head Mouth', 'MenuItem_Setting', '57', 63, 3);
insert into [main].[menuitem] values(65, 'Head Left Eye', 'MenuItem_Setting', '58', 64, 3);
insert into [main].[menuitem] values(66, 'Head Right Eye', 'MenuItem_Setting', '59', 65, 3);
insert into [main].[menuitem] values(67, 'Jet Left', 'MenuItem_Setting', '60', 66, 3);
insert into [main].[menuitem] values(68, 'Jet Right', 'MenuItem_Setting', '61', 67, 3);
insert into [main].[menuitem] values(69, 'Jet Bottom', 'MenuItem_Setting', '62', 68, 3);
insert into [main].[menuitem] values(70, 'Jets Slingshot', 'MenuItem_Setting', '63', 69, 3);
insert into [main].[menuitem] values(71, 'Slingshot Left', 'MenuItem_Setting', '64', 70, 3);
insert into [main].[menuitem] values(72, 'Slingshot Right', 'MenuItem_Setting', '65', 71, 3);
insert into [main].[menuitem] values(73, 'Knocker', 'MenuItem_Setting', '66', 72, 3);
insert into [main].[menuitem] values(74, 'Sound', '', '', 73, 2);
insert into [main].[menuitem] values(75, 'Master volume', 'MenuItem_Volume', '5', 74, 3);
insert into [main].[menuitem] values(76, 'Music volume', 'MenuItem_Volume', '67', 75, 3);
insert into [main].[menuitem] values(77, 'SFX volume', 'MenuItem_Volume', '68', 76, 3);
insert into [main].[menuitem] values(78, 'Voice volume', 'MenuItem_Volume', '69', 77, 3);
insert into [main].[menuitem] values(79, 'Display', '', '', 78, 2);
insert into [main].[menuitem] values(80, 'Dots shape', 'MenuItem_Setting', '29', 79, 3);
insert into [main].[menuitem] values(81, 'Scale', 'MenuItem_Setting', '33', 80, 3);
insert into [main].[menuitem] values(82, 'Vertical position', 'MenuItem_Setting', '35', 81, 3);
insert into [main].[menuitem] values(83, 'Horizontal position', 'MenuItem_Setting', '36', 82, 3);
insert into [main].[menuitem] values(84, 'Dots color', '', '', 83, 3);
insert into [main].[menuitem] values(85, 'Preset', 'MenuItem_Setting', '28', 84, 4);
insert into [main].[menuitem] values(86, 'Custom Red', 'MenuItem_Setting', '30', 85, 4);
insert into [main].[menuitem] values(87, 'Custom Green', 'MenuItem_Setting', '31', 86, 4);
insert into [main].[menuitem] values(88, 'Custom Blue', 'MenuItem_Setting', '32', 87, 4);
insert into [main].[menuitem] values(89, 'Background color', '', '', 88, 3);
insert into [main].[menuitem] values(90, 'Preset', 'MenuItem_Setting', '37', 89, 4);
insert into [main].[menuitem] values(91, 'Custom Red', 'MenuItem_Setting', '38', 90, 4);
insert into [main].[menuitem] values(92, 'Custom Green', 'MenuItem_Setting', '39', 91, 4);
insert into [main].[menuitem] values(93, 'Custom Blue', 'MenuItem_Setting', '40', 92, 4);
insert into [main].[menuitem] values(94, 'Window border', 'MenuItem_Setting', '34', 93, 3);
insert into [main].[menuitem] values(95, 'Live', '', '', 94, 2);
insert into [main].[menuitem] values(96, 'Live enabled', 'MenuItem_Setting', '23', 95, 3);
insert into [main].[menuitem] values(97, 'DMD update interval', 'MenuItem_Setting', '52', 96, 3);
insert into [main].[menuitem] values(98, 'Localization', '', '', 97, 2);
insert into [main].[menuitem] values(99, 'Euro score format', 'MenuItem_Setting', '19', 98, 3);
insert into [main].[menuitem] values(100, 'Peripherals', '', '', 99, 2);
insert into [main].[menuitem] values(101, 'Betabrite', '', '', 100, 3);
insert into [main].[menuitem] values(102, 'BetaBrite', 'MenuItem_Setting', '17', 101, 4);
insert into [main].[menuitem] values(103, 'BetaBrite COM Port', 'MenuItem_Setting', '18', 102, 4);
insert into [main].[menuitem] values(104, 'Flipper Switch Mod', 'MenuItem_Setting', '51', 103, 3);
insert into [main].[menuitem] values(105, 'Player Profiles', 'MenuItem_PlayerProfiles', '', 104, 1);
insert into [main].[menuitem] values(106, 'Software Menu', '', '', 105, 1);
insert into [main].[menuitem] values(107, 'Current version', 'MenuItem_Setting', '0', 106, 2);
insert into [main].[menuitem] values(108, 'Exit current game', 'MenuItem_ExitGame', '', 107, 3);
insert into [main].[menuitem] values(109, 'Exit to launcher', 'MenuItem_ExitToLauncher', '', 108, 3);
insert into [main].[menuitem] values(110, 'Restart', 'MenuItem_RestartSoftware', '', 109, 3);
insert into [main].[menuitem] values(111, 'Version select', 'MenuItem_VersionSelect', '', 110, 2);
insert into [main].[menuitem] values(112, 'USB update', 'MenuItem_USBUpdate', '', 111, 2);
insert into [main].[menuitem] values(113, 'Internet update', 'MenuItem_InternetUpdate', '', 112, 2);
insert into [main].[menuitem] values(114, 'Pinmame ROM', 'MenuItem_Setting', '48', 113, 2);


/* Drop table [main].[trophy] */
drop table if exists [main].[trophy];

/* Table structure [main].[trophy] */
CREATE TABLE [main].[trophy] (
  [id] INTEGER NOT NULL PRIMARY KEY,
  [type] INTEGER,
  [order] INTEGER,
  [title] VARCHAR,
  [description] VARCHAR);

/* Data [main].[trophy] */
insert into [main].[trophy] values(1, 1, 1, 'Get Lucky', 'Collect a 1.000.000 super skillshot');
insert into [main].[trophy] values(2, 1, 2, 'Housto1n, we have lift off', 'Start multiball 1');
insert into [main].[trophy] values(3, 2, 4, 'Welcome to Planet Pinbot', 'Complete multiball 1');
insert into [main].[trophy] values(4, 1, 8, 'Going the distance', 'Collect a super jackpot');
insert into [main].[trophy] values(5, 2, 10, 'Now you''re just showing off!', 'Collect a double super jackpot');
insert into [main].[trophy] values(6, 2, 11, 'Now that''s a jackpot!', 'Collect a 24 million jackpot');
insert into [main].[trophy] values(7, 1, 3, 'Mulligan', 'Restart Multiball by shooting the scoop');
insert into [main].[trophy] values(8, 1, 9, 'Freeze, juggle boy!', 'Complete a power charge with 3 balls in play');
insert into [main].[trophy] values(9, 2, 28, 'Pennsylvania 3-500', 'Collect left loop, right loop and jets 500k awards in 1 ball');
insert into [main].[trophy] values(10, 1, 26, 'Holy bonus, batman!', 'Get a 10x bonus multiplier');
insert into [main].[trophy] values(11, 1, 27, 'Back-side Swoop', 'Reverse the right loop');
insert into [main].[trophy] values(12, 1, 29, 'Rapid Fire', 'Lite all 3 locks for Multiball 1 back-to-back without hitting another switch ');
insert into [main].[trophy] values(14, 1, 14, 'Completed Move Your Shuttle', 'Complete the "Move Your Shuttle" mode');
insert into [main].[trophy] values(15, 1, 15, 'Completed Fueling Frenzy', 'Complete the "Fueling Frenzy" mode');
insert into [main].[trophy] values(16, 1, 16, 'Completed Space Station Dock', 'Complete the "Space Station Dock" mode');
insert into [main].[trophy] values(17, 1, 17, 'Completed Return to Base', 'Complete the "Return to Base" mode');
insert into [main].[trophy] values(18, 1, 18, 'Completed Mission Control', 'Complete the "Mission Control" mode');
insert into [main].[trophy] values(19, 1, 19, 'Completed G-Force Challenge', 'Complete the "G-Force Challenge" mode');
insert into [main].[trophy] values(20, 1, 5, 'Batteries not included', 'Start multiball 2');
insert into [main].[trophy] values(21, 2, 6, 'Now I see you', 'Complete multiball 2');
insert into [main].[trophy] values(22, 1, 12, 'Lights out, away we go!', 'Start Videomode by spelling PIN*BOT and shooting the scoop');
insert into [main].[trophy] values(23, 2, 13, 'Seasoned Racer', 'Finish Videomode level 6');
insert into [main].[trophy] values(24, 3, 20, 'Welcome to the Billionaires Club', 'Complete the "Big Wheel Billion" mode');
insert into [main].[trophy] values(25, 2, 21, 'R.I.P. Python Anghelo', 'Spell PLANET PYTHON 3 times in the "Planet Python" mode');
insert into [main].[trophy] values(26, 2, 22, 'Combo King', 'Complete 2 combos in the "Cosmic Combos" mode');
insert into [main].[trophy] values(27, 2, 23, 'Single-handedly', 'Collect 3 awards in the "Slot Machine" mode');
insert into [main].[trophy] values(28, 2, 24, 'Sharpshooter', 'Collect all 6 different shots in the "Shooting Range" mode');
insert into [main].[trophy] values(29, 2, 25, 'To the limit', 'Collect a 10M award in the "Unlimited Millions" mode');
insert into [main].[trophy] values(30, 2, 7, 'She''s alive', 'Reach the Metamorphosis, make her live!');


/* Commit Transaction */
commit transaction;

/* Enable Foreign Keys */
pragma foreign_keys = on;
